> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boundlesspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pay Order With Bank Transfer

> Pay for an order via bank transfer



## OpenAPI

````yaml POST /orders/{reference}/payments/bank-transfer
openapi: 3.1.0
info:
  title: BoundlessPay API
  version: 1.0.0
servers: []
security: []
paths:
  /orders/{reference}/payments/bank-transfer:
    post:
      description: Pay for an order via bank transfer
      parameters:
        - name: reference
          in: path
          required: true
          schema:
            type: string
            example: 019d110b-c47f-7b86-8f87-c18c70b24f9f
      responses:
        '200':
          description: Bank transfer initiated
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Operation Successful
                  data:
                    type: object
                    properties:
                      paymentReference:
                        type: string
                        example: 019d110b-c47f-7b86-8f87-c18c70b24f9f
                      status:
                        type: string
                        example: pending
                      bankDetails:
                        type: array
                        items:
                          type: object
                          properties:
                            bankCodes:
                              type: string
                              example: '018'
                            bankName:
                              type: string
                              example: Access Bank
                            accountNumber:
                              type: string
                              example: '0123456789'
                            accountName:
                              type: string
                              example: Sample Business
                            amount:
                              type: integer
                              example: 5000
                            currencyCode:
                              type: string
                              example: NGN
                  meta:
                    type: object
                    properties:
                      timestamp:
                        type: string
                        format: date-time
                        example: '2026-03-20T18:36:18Z'

````